X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Firefox will not auto authenticate with SharePoint 2010. have modified config ntlm-auth setting

Posted

i am using firefox 3.5.1 and cannot upgrade due to compatibilitiy issues for other apps. Is there a solution to getting Firefox to auto authenticate using Windows login credential or ntlm authenticiation method?

Additional System Details

This happened

Every time Firefox opened

This started when...

removed anonymous user access

Installed Plug-ins

none

Application

  • User Agent:

More Information

have added domain/server name to .ntlm-auth.trusted, .negotiate-auth.delegation, negotiate-auth.trusted

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6642 answers

Wow, why are you still using Firefox 3.5? That version is years old and HIGHLY insecure. What apps are you having trouble getting to accept a modern version of Firefox (From this decade)? I'd try to install the newest version of Firefox (15.0.1) and just see if they work. Containing to use that old of a browser is unwise and you are better off using something else (such as IE9) than something that insecure.

Question owner

there is some Oracle stuff that needs this exact verion of Firefox. I'm trying to get SharePoint 2010 to auto authenticate for users using firefox.

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6642 answers

if you install Firefox 15.0.1, and then change your user Agent to be firefox 3.5, will that work? https://addons.mozilla.org/en-US/firefox/addon/user-agent-switcher. As for sharepoint, I don't know if that's possible, if it uses ActiveX controls.

Question owner

what does that add-on do? I can't seem to find a detail description of it. Thank you for your help.

cor-el
  • Top 10 Contributor
  • Moderator
10762 solutions 96861 answers

You can install the portable Firefox 3.5 or 3.6 version to access websites that do not work with the current Firefox release. http://portableapps.com/apps/internet/firefox_portable/localization#legacy35

Tyler Downer
  • Administrator
  • Moderator
1165 solutions 6642 answers

ntran, that add-on changes your User Agent to fool websites into thinking you are using a different version of your browser.